import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { CreateChangeSetInput, CreateChangeSetOutput } from "../models/models_0";
import { deserializeAws_queryCreateChangeSetCommand, serializeAws_queryCreateChangeSetCommand, } from "../protocols/Aws_query";
var CreateChangeSetCommand = (function (_super) {
    __extends(CreateChangeSetCommand, _super);
    function CreateChangeSetCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    CreateChangeSetCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "CreateChangeSetCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: CreateChangeSetInput.filterSensitiveLog,
            outputFilterSensitiveLog: CreateChangeSetOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    CreateChangeSetCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryCreateChangeSetCommand(input, context);
    };
    CreateChangeSetCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryCreateChangeSetCommand(output, context);
    };
    return CreateChangeSetCommand;
}($Command));
export { CreateChangeSetCommand };
