import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { DetectStackResourceDriftInput, DetectStackResourceDriftOutput } from "../models/models_0";
import { deserializeAws_queryDetectStackResourceDriftCommand, serializeAws_queryDetectStackResourceDriftCommand, } from "../protocols/Aws_query";
var DetectStackResourceDriftCommand = (function (_super) {
    __extends(DetectStackResourceDriftCommand, _super);
    function DetectStackResourceDriftCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    DetectStackResourceDriftCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "DetectStackResourceDriftCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: DetectStackResourceDriftInput.filterSensitiveLog,
            outputFilterSensitiveLog: DetectStackResourceDriftOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    DetectStackResourceDriftCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryDetectStackResourceDriftCommand(input, context);
    };
    DetectStackResourceDriftCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryDetectStackResourceDriftCommand(output, context);
    };
    return DetectStackResourceDriftCommand;
}($Command));
export { DetectStackResourceDriftCommand };
