import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { EstimateTemplateCostInput, EstimateTemplateCostOutput } from "../models/models_0";
import { deserializeAws_queryEstimateTemplateCostCommand, serializeAws_queryEstimateTemplateCostCommand, } from "../protocols/Aws_query";
var EstimateTemplateCostCommand = (function (_super) {
    __extends(EstimateTemplateCostCommand, _super);
    function EstimateTemplateCostCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    EstimateTemplateCostCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "EstimateTemplateCostCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: EstimateTemplateCostInput.filterSensitiveLog,
            outputFilterSensitiveLog: EstimateTemplateCostOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    EstimateTemplateCostCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryEstimateTemplateCostCommand(input, context);
    };
    EstimateTemplateCostCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryEstimateTemplateCostCommand(output, context);
    };
    return EstimateTemplateCostCommand;
}($Command));
export { EstimateTemplateCostCommand };
