import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { GetStackPolicyInput, GetStackPolicyOutput } from "../models/models_0";
import { deserializeAws_queryGetStackPolicyCommand, serializeAws_queryGetStackPolicyCommand, } from "../protocols/Aws_query";
var GetStackPolicyCommand = (function (_super) {
    __extends(GetStackPolicyCommand, _super);
    function GetStackPolicyCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    GetStackPolicyCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "GetStackPolicyCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: GetStackPolicyInput.filterSensitiveLog,
            outputFilterSensitiveLog: GetStackPolicyOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    GetStackPolicyCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryGetStackPolicyCommand(input, context);
    };
    GetStackPolicyCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryGetStackPolicyCommand(output, context);
    };
    return GetStackPolicyCommand;
}($Command));
export { GetStackPolicyCommand };
