import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { ListStackSetOperationsInput, ListStackSetOperationsOutput } from "../models/models_0";
import { deserializeAws_queryListStackSetOperationsCommand, serializeAws_queryListStackSetOperationsCommand, } from "../protocols/Aws_query";
var ListStackSetOperationsCommand = (function (_super) {
    __extends(ListStackSetOperationsCommand, _super);
    function ListStackSetOperationsCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    ListStackSetOperationsCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "ListStackSetOperationsCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: ListStackSetOperationsInput.filterSensitiveLog,
            outputFilterSensitiveLog: ListStackSetOperationsOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    ListStackSetOperationsCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryListStackSetOperationsCommand(input, context);
    };
    ListStackSetOperationsCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryListStackSetOperationsCommand(output, context);
    };
    return ListStackSetOperationsCommand;
}($Command));
export { ListStackSetOperationsCommand };
