import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { RollbackStackInput, RollbackStackOutput } from "../models/models_0";
import { deserializeAws_queryRollbackStackCommand, serializeAws_queryRollbackStackCommand, } from "../protocols/Aws_query";
var RollbackStackCommand = (function (_super) {
    __extends(RollbackStackCommand, _super);
    function RollbackStackCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    RollbackStackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "RollbackStackCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: RollbackStackInput.filterSensitiveLog,
            outputFilterSensitiveLog: RollbackStackOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    RollbackStackCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryRollbackStackCommand(input, context);
    };
    RollbackStackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryRollbackStackCommand(output, context);
    };
    return RollbackStackCommand;
}($Command));
export { RollbackStackCommand };
