import { __extends } from "tslib";
import { getSerdePlugin } from "@aws-sdk/middleware-serde";
import { Command as $Command } from "@aws-sdk/smithy-client";
import { UpdateStackInput, UpdateStackOutput } from "../models/models_0";
import { deserializeAws_queryUpdateStackCommand, serializeAws_queryUpdateStackCommand } from "../protocols/Aws_query";
var UpdateStackCommand = (function (_super) {
    __extends(UpdateStackCommand, _super);
    function UpdateStackCommand(input) {
        var _this = _super.call(this) || this;
        _this.input = input;
        return _this;
    }
    UpdateStackCommand.prototype.resolveMiddleware = function (clientStack, configuration, options) {
        this.middlewareStack.use(getSerdePlugin(configuration, this.serialize, this.deserialize));
        var stack = clientStack.concat(this.middlewareStack);
        var logger = configuration.logger;
        var clientName = "CloudFormationClient";
        var commandName = "UpdateStackCommand";
        var handlerExecutionContext = {
            logger: logger,
            clientName: clientName,
            commandName: commandName,
            inputFilterSensitiveLog: UpdateStackInput.filterSensitiveLog,
            outputFilterSensitiveLog: UpdateStackOutput.filterSensitiveLog,
        };
        var requestHandler = configuration.requestHandler;
        return stack.resolve(function (request) {
            return requestHandler.handle(request.request, options || {});
        }, handlerExecutionContext);
    };
    UpdateStackCommand.prototype.serialize = function (input, context) {
        return serializeAws_queryUpdateStackCommand(input, context);
    };
    UpdateStackCommand.prototype.deserialize = function (output, context) {
        return deserializeAws_queryUpdateStackCommand(output, context);
    };
    return UpdateStackCommand;
}($Command));
export { UpdateStackCommand };
