import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { DescribeChangeSetHooksInput, DescribeChangeSetHooksOutput } from "../models/models_0";
export interface DescribeChangeSetHooksCommandInput extends DescribeChangeSetHooksInput {
}
export interface DescribeChangeSetHooksCommandOutput extends DescribeChangeSetHooksOutput, __MetadataBearer {
}

export declare class DescribeChangeSetHooksCommand extends $Command<DescribeChangeSetHooksCommandInput, DescribeChangeSetHooksCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: DescribeChangeSetHooksCommandInput;
    constructor(input: DescribeChangeSetHooksCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeChangeSetHooksCommandInput, DescribeChangeSetHooksCommandOutput>;
    private serialize;
    private deserialize;
}
