import { Command as $Command } from "@aws-sdk/smithy-client";
import { Handler, HttpHandlerOptions as __HttpHandlerOptions, MetadataBearer as __MetadataBearer, MiddlewareStack } from "@aws-sdk/types";
import { CloudFormationClientResolvedConfig, ServiceInputTypes, ServiceOutputTypes } from "../CloudFormationClient";
import { DescribeStackResourceInput, DescribeStackResourceOutput } from "../models/models_0";
export interface DescribeStackResourceCommandInput extends DescribeStackResourceInput {
}
export interface DescribeStackResourceCommandOutput extends DescribeStackResourceOutput, __MetadataBearer {
}

export declare class DescribeStackResourceCommand extends $Command<DescribeStackResourceCommandInput, DescribeStackResourceCommandOutput, CloudFormationClientResolvedConfig> {
    readonly input: DescribeStackResourceCommandInput;
    constructor(input: DescribeStackResourceCommandInput);
    
    resolveMiddleware(clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>, configuration: CloudFormationClientResolvedConfig, options?: __HttpHandlerOptions): Handler<DescribeStackResourceCommandInput, DescribeStackResourceCommandOutput>;
    private serialize;
    private deserialize;
}
